Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Constant

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.standard.type.BaseSupport
                  biouml.standard.type.GenericEntity
                      biouml.standard.type.Referrer
                          biouml.standard.type.Constant

All Implemented Interfaces:
  Base, DataElement, MutableDataElement, Type

public class Constant
extends Referrer

Some constant that can be used in kinetic or other equations.

Pendung:
  refine definition

Field Summary
`protected Unit` | `unit`
`protected double` | `value`

Fields inherited from class biouml.standard.type.GenericEntity
`comment`

Fields inherited from class biouml.standard.type.BaseSupport
`title, type`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface biouml.standard.type.Type
`CONSTANT, DATABASE_INFO, DIAGRAM_INFO, MATH, MATH_EQUATION, MATH_EVENT, MATH_FUNCTION, MATH_STATE, MATH_TRANSITION, TYPE_CELL, TYPE_CHEMICAL_ROLE, TYPE_COMPARTMENT, TYPE_CONCEPT, TYPE_DIAGRAM_REFERENCE, TYPE_FUNCTION, TYPE_GENE, TYPE_MOLECULE, TYPE_NOTE, TYPE_NOTE_LINK, TYPE_PROCESS, TYPE_PROTEIN, TYPE_REACTION, TYPE_RELATION, TYPE_RNA, TYPE_SEMANTIC_RELATION, TYPE_STATE, TYPE_SUBSTANCE, TYPE_UNKNOWN`

Constructor Summary
`Constant(DataCollection parent, java.lang.String name)`

Method Summary
`java.lang.String` | `getType()`
`Unit` | `getUnit()`
`double` | `getValue()`
`void` | `setUnit(Unit unit)`
`void` | `setValue(double value)`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getDescription, getLiteratureReferences, setDatabaseReferences, setDescription, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### value

    protected double value

### unit

    protected Unit unit

Constructor Detail

### Constant

    public Constant(DataCollection parent,
                    java.lang.String name)

Method Detail

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `Base`
  Overrides:
    `getType` in class `BaseSupport`

### getValue

    public double getValue()

### setValue

    public void setValue(double value)

### getUnit

    public Unit getUnit()

### setUnit

    public void setUnit(Unit unit)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.